/* eslint-disable @typescript-eslint/no-unused-vars */
// const qianzhuione = '/dev-api'; // '/prod-api'生产环境 // '/dev-api'开发环境是调后端本地时使用
const qianzhuione = '/prod-api';
export const url = {
  wmspda: {
    system: {
      test: '/wmspda/system/test',
      login: qianzhuione + '/auth/login',
      getInfo: qianzhuione + '/system/user/mobileGetInfo',
    },
  },
  sys: {
    log: {
      error: '/wmspda/sys/log/error',
    },
  },
  //正式接口
  lanjumes: {
    product: {
      getInfoByRfid: qianzhuione + '/quality/handCheck/getInfoByRfid',
      saveQcProCheck: qianzhuione + '/quality/handCheck/saveQcProCheck',
      queryhandChecklist: qianzhuione + '/quality/handCheck/list',
      sendDestinationStations: '/api/ReceivingAndFeedingMaterials/sendDestinationStations',
      palletInforUpdate: '/api/ReceivingAndFeedingMaterials/palletInforUpdate',
      getDictList: qianzhuione + '/quality/handCheck/getDictList',
      requestDestinationStation: qianzhuione + '/mes/wcsInterface/pdaRequestDestinationStations',
      getAllEquipments: qianzhuione + '/mes/pda/getAllEquipments',
      saveRfidWithEquip: qianzhuione + '/mes/pda/saveRfidWithEquip',
      getpalletLocation: '/api/ReceivingAndFeedingMaterials/getpalletLocation',
      // 获取缓存区
      GetBufferLoc: '/api/ReceivingAndFeedingMaterials/GetBufferLoc',
      // 空托盘绑定
      BindOrderByRFID: '/api/ReceivingAndFeedingMaterials/BindOrderByRFID',
      // 处理异常托盘
      ErrorPalletHandling: '/api/ReceivingAndFeedingMaterials/ErrorPalletHandling',
      // 获取目的地
      getDestination: '/api/ReceivingAndFeedingMaterials/getDestination',
    },
  },
  lanjuwms: {
    product: {
      // 下线入库
      OfflineStorage: {
        queryinformation: qianzhuione + '/wms/WmsToWCSmission/WmsProductPutByWorkOrderquery',
        insertTary: qianzhuione + '/wms/tray/insertTary',
        deleteTray: qianzhuione + '/wms/tray/deleteTray',
        handPut: qianzhuione + '/wms/tray/wms/handPut',
        list: qianzhuione + '/wms/tray/listTary',
        WmsProductPutByWorkOrderConfirm: qianzhuione + '/wms/WmsToWCSmission/WmsProductPutByWorkOrderConfirm',
        selectSnCorrelationBarcode: qianzhuione + '/wms/WmsToWCSmission/selectSnCorrelationBarcode',
        addSnCorrelationBarcode: qianzhuione + '/wms/WmsToWCSmission/addSnCorrelationBarcode',
        deletSnCorrelationBarcode: qianzhuione + '/wms/WmsToWCSmission/deletSnCorrelationBarcode',
      },
      // 销售出库/sellout/showProduceCode/  /sellout/s/订单号/产品编码

      SaleOutWH: {
        // 根据交货单号查询下面的产品编码
        showProduceCode: qianzhuione + '/wms/sellout/showProduceCode',
        // 根据订单号和产品编码查询
        queryinformation: qianzhuione + '/wms/sellout/s',
        // 扫描箱码接口
        selloutconntray: qianzhuione + '/wms/selloutconntray',
        deleteTray: qianzhuione + '/wms/selloutconntray/deleteTray',
        // 根据交货单号和产品编码查询展示接口
        showTrays: qianzhuione + '/wms/selloutconntray/showTrays',
        // 手持出库确认
        out: qianzhuione + '/wms/selloutconntray/out',
        //销售出库整托扫码
        ScanCodeWholePallet: qianzhuione + '/wms/WmsToWCSmission/ScanCodeWholePallet',
        //销售出库单箱扫码
        ScanCodeSingleBox: qianzhuione + '/wms/WmsToWCSmission/ScanCodeSingleBox',
        //销售出库查询
        selectQueryFinishedProductSales: qianzhuione + '/wms/WmsToWCSmission/selectQueryFinishedProductSales',
        //销售出库确认
        confirmFinishedProductSales: qianzhuione + '/wms/WmsToWCSmission/confirmFinishedProductSales',
      },
    },
    raw: {
      ReceivePO: {
        // 手持 －－包材采购单采购收货查询
        PurchaseOrderPda: qianzhuione + '/wms/order/PurchaseOrderPda',
        // 手持 －－包材采购单采购收货操作
        PurchaseOrderdeliPda: qianzhuione + '/wms/order/PurchaseOrderdeliPda',
        // 手持 －－包材采购单采购查询明细
        PurchaseOrderdetailPda: qianzhuione + '/wms/order/PurchaseOrderdetailPda',
        // 手持 查询仓库管理列表
        list: qianzhuione + '/wms/order/listCK',
        sapPurchaseOrderSync: qianzhuione + '/wms/WmsToWCSmission/sapPurchaseOrderSync',
      },
      PurchaseWHPO: {
        // 手持 －－包材采购单采购收货查询
        PurchaseOrderWarehousingPda: qianzhuione + '/wms/order/PurchaseOrderWarehousingPda',
        // 手持 －－包材采购单采购收货操作
        PurchaseOrderRKPda: qianzhuione + '/wms/order/PurchaseOrderRKPda',
        // 手持 －－包材采购单采购查询明细
        PurchaseOrderdetailPda: qianzhuione + '/wms/order/PurchaseOrderdetailPda',
        // 手持 查询仓库管理列表
        list: qianzhuione + '/wms/order/listCK',
      },
      ProductionREQ: {
        ProductionMaterialRequisition: qianzhuione + '/wms/order/ProductionMaterialRequisition',
        warehouselist: qianzhuione + '/wms/order/listCK',
        ProductionMaterialRequisitionsn: qianzhuione + '/wms/WmsToWCSmission/ProductionMaterialRequisitionsn',
        out: qianzhuione + '/wms/WmsToWCSmission/ProductionMaterialRequisitionAdd',
      },
      TrayStatusUpdate: {
        out: qianzhuione + '/wms/order/TraystatusUpdate',
      },
      SpecifyPalletOut: {
        out: qianzhuione + '/wms/order/DesignatedPalletOutbound',
      },
      MatReturnWH: {
        into: qianzhuione + '/wms/order/InventoryPlanIssuance',
      },
    },
    WhiteManagement: {
      WhiteInstorage: {
        selectWmsOdsWhiteEmbryoInhAnd: qianzhuione + '/wms/WmsToWCSmission/selectWmsOdsWhiteEmbryoInhAnd',
        addtWmsOdsWhiteEmbryoInhAnd: qianzhuione + '/wms/WmsToWCSmission/addtWmsOdsWhiteEmbryoInhAnd',
      },
      WhiteOutstorage: {
        selectWhiteEmbryoDeliveryOrder: qianzhuione + '/wms/WmsToWCSmission/selectWhiteEmbryoDeliveryOrder',
        selectQueryTrayInfor: qianzhuione + '/wms/WmsToWCSmission/selectQueryTrayInfor',
        WhiteEmbryoOutbound: qianzhuione + '/wms/WmsToWCSmission/WhiteEmbryoOutbound',
      },
      TransferInlibrary: {
        WhiteWarehouseDump: qianzhuione + '/wms/WmsToWCSmission/WhiteWarehouseDump',
      },
      WhiteReturn: {
        queryMaterialInfor: qianzhuione + '/wms/WmsToWCSmission/queryMaterialInfor',
        WhiteBilletReturnConfir: qianzhuione + '/wms/WmsToWCSmission/WhiteBilletReturnConfir',
      },
    },
  },
  // 设备管理
  lanjuequipment: {
    product: {
      // 巡检
      Inspection: {
        // 获取今日任务 获取历史记录
        getTodayTask: qianzhuione + '/device/devicePDA/getTodayTask',
        // 获取历史记录
        getTaskRecord: qianzhuione + '/device/devicePDA/getTaskRecord',
        // 获取巡检工单详情信息
        getInspectionOrderInfo: qianzhuione + '/device/devicePDA/getInspectionOrderInfo',
        // 提交巡检工单详情信息
        updateInspectionRecord: qianzhuione + '/device/devicePDA/updateInspectionRecord',
      },
      // 报修
      Repairbx: {
        // 根据交货单号查询下面的产品编码
        getInfoRepair: qianzhuione + '/device/devicePDA/queryEquipment/',
        // 根据订单号和产品编码查询
        addRepairRecord: qianzhuione + '/device/devicePDA/addRepairRecord',
        // 备件list
        getEquipmentList: qianzhuione + '/device/devicePDA/getEquipmentList',
      },
      // 维修
      Repair: {
        // 获取今日任务 获取历史记录
        getTodayTask: qianzhuione + '/device/devicePDA/getMaintenancePendRecords',
        // 获取历史记录
        getTaskRecord: qianzhuione + '/device/devicePDA/getMaintenanceRecords',
        // 获取维修工单信息
        selectPdaRepairWorkOrderDetails: qianzhuione + '/device/devicePDA/selectPdaRepairWorkOrderDetails',
        // 是否维修
        updateDowntime: qianzhuione + '/device/devicePDA/updateDowntime',
        // 维修提交
        updateMaintenanceRecords: qianzhuione + '/device/devicePDA/updateMaintenanceRecords',
        // 备件list
        list: qianzhuione + '/device/sparePartsLedger/list',
        // 维修详情里的维修措施
        getFaultMeasuresList: qianzhuione + '/device/devicePDA/getFaultMeasuresList',
        // 维修详情里的故障描述
        getFaultDescriptionList: qianzhuione + '/device/devicePDA/getFaultDescriptionList',
        // 维修详情里的原因分析
        getFaultReasonList: qianzhuione + '/device/devicePDA/getFaultReasonList',
      },
      // 保养
      Upkeep: {
        // 是否开机保养
        startMaintenanceTask: qianzhuione + '/device/devicePDA/startMaintenanceTask',
      },
    },
  },
  // 质量管理
  lanjuquality: {
    // 任务数量管理
    getTopTaskInfo: qianzhuione + '/quality/handCheck/getTopTaskInfo',
    // 质量检验
    Materialinspection: {
      // 获取检验节点下拉列表
      getCheckType: qianzhuione + '/quality/handCheck/getCheckType',
      // 获取待检验信息列表
      getCheckTaskListall: qianzhuione + '/quality/handCheck/getCheckTaskList',
      // 获取待检验信息列表--点处理后获取检测项
      getCheckTaskList: qianzhuione + '/quality/handCheck/getCheckTaskDetailList',
      // 获取待检验信息列表--点处理后获取检测项--提交
      commitCheckTaskList: qianzhuione + '/quality/handCheck/commitCheckResults',
      // 根据工单获取批次下拉
      getBatchList: qianzhuione + '/quality/handCheck/getBatchList',
      // 根据工单获取批次下拉
      getDefectListPDA: qianzhuione + '/quality/handCheck/getDefectListPDA',
      // 获取检验位置
      getcheckLocList: qianzhuione + '/quality/handCheck/getCheckLocList',
    },
    // 历史记录
    Records: {
      // 获取待检验信息列表
      getCheckTaskListall: qianzhuione + '/quality/handCheck/getCheckTaskList',
      // 获取待检验信息列表--点处理后获取检测项
      getCheckTaskList: qianzhuione + '/quality/handCheck/getCheckTaskDetailList',
    },
    Belowstandard: {
      // 获取待检验信息列表
      getCheckTaskListall: qianzhuione + '/quality/handCheck/getCheckTaskList',
      // 获取待检验信息列表--点处理后获取检测项
      getCheckTaskList: qianzhuione + '/quality/handCheck/getCheckTaskDetailList',
      // 获取待检验信息列表--点处理后获取检测项--提交
      commitCheckTaskList: qianzhuione + '/quality/handCheck/commitCheckResults',
    },
    // 维修
    Inspection: {
      // 检验项目--下拉树
      pdaMaterialTree: qianzhuione + '/quality/handCheck/pdaMaterialTree',
      // 检验项目--下拉树---获取检测项内容列表
      getCheckTypeProjectList: qianzhuione + '/quality/handCheck/getCheckTypeProjectList',
      // 检验单位
      getQcUnitList: qianzhuione + '/quality/handCheck/getQcUnitList',
      // 领料单列表
      getLLWorkOrder: qianzhuione + '/quality/handCheck/getLLWorkOrder',
      // 工单列表
      getWorkOrder: qianzhuione + '/quality/handCheck/getWorkOrder',
      // 根据工单获取批次下拉
      getBatchList: qianzhuione + '/quality/handCheck/getBatchList',
    },
  },
};
